AUTOIP
lwIP » Options (lwipopts.h) » IPv4

## Macros

#define | LWIP_AUTOIP 0
#define | LWIP_DHCP_AUTOIP_COOP 0
#define | LWIP_DHCP_AUTOIP_COOP_TRIES 9

## Detailed Description

## Macro Definition Documentation

## LWIP_AUTOIP

#define LWIP_AUTOIP 0

LWIP_AUTOIP==1: Enable AUTOIP module.

## LWIP_DHCP_AUTOIP_COOP

#define LWIP_DHCP_AUTOIP_COOP 0

LWIP_DHCP_AUTOIP_COOP==1: Allow DHCP and AUTOIP to be both enabled on the same interface at the same time.

## LWIP_DHCP_AUTOIP_COOP_TRIES

#define LWIP_DHCP_AUTOIP_COOP_TRIES 9

LWIP_DHCP_AUTOIP_COOP_TRIES: Set to the number of DHCP DISCOVER probes that should be sent before falling back on AUTOIP (the DHCP client keeps running in this case). This can be set as low as 1 to get an AutoIP address very quickly, but you should be prepared to handle a changing IP address when DHCP overrides AutoIP.